Subject: Re: linux-next: manual merge of the block tree with Linus' tree

From: Mike Snitzer <[email-masked]>
Date: Mon, 1 Jun 2015 10:31:03 -0400

On Mon, Jun 01 2015 at 12:56am -0400,
Stephen Rothwell <[email-masked]> wrote:

> Hi Jens,
> 
> Today's linux-next merge of the block tree got a conflict in
> drivers/md/dm.c between commits 3a1407559a59 ("dm: fix NULL pointer
> when clone_and_map_rq returns !DM_MAPIO_REMAPPED") and e5d8de32cc02
> ("dm: fix false warning in free_rq_clone() for unmapped requests") from
> Linus' tree and commit 5f1b670d0bef ("block, dm: don't copy bios for
> request clones") from the block tree.
> 
> I fixed it up (see below) and can carry the fix as necessary (no action
> is required).

That matches the merge that I'm carrying in linux-dm.git's for-next too.

Thanks,
Mike